Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.ast.tree
Class InsertStatement

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.ast.tree.Node
                  org.hibernate.hql.ast.tree.SqlNode
                      org.hibernate.hql.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.ast.tree.AbstractStatement
                              org.hibernate.hql.ast.tree.InsertStatement

All Implemented Interfaces:
  antlr.collections.AST, Serializable, DisplayableNode, InitializeableNode, Statement

    public class InsertStatement

extends AbstractStatement

Defines a top-level AST node representing an HQL "insert select" statement.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`InsertStatement()`

Method Summary
`IntoClause` | `getIntoClause()` Retreive this insert statement's into-clause.
`SelectClause` | `getSelectClause()` Retreive this insert statement's select-clause.
`int` | `getStatementType()` Return the main token type representing the type of this statement.
`boolean` | `needsExecutor()` Does this statement require the StatementExecutor?
`void` | `validate()` Performs detailed semantic validation on this insert statement tree.

Methods inherited from class org.hibernate.hql.ast.tree.AbstractStatement
`getDisplayText`

Methods inherited from class org.hibernate.hql.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.ast.tree.Statement
`getWalker`

Constructor Detail

### InsertStatement

    public InsertStatement()

Method Detail

### getStatementType

    public int getStatementType()

  Description copied from interface: `Statement`
  Return the main token type representing the type of this statement.

  Returns:
    The corresponding token type.
  See Also:
    `Statement.getStatementType()`

### needsExecutor

    public boolean needsExecutor()

  Description copied from interface: `Statement`
  Does this statement require the StatementExecutor? Essentially, at the JDBC level, does this require an executeUpdate()?

  Returns:
    True if this statement should be handed off to the StatementExecutor to be executed; false otherwise.
  See Also:
    `Statement.needsExecutor()`

### validate

    public void validate()
                  throws QueryException

  Performs detailed semantic validation on this insert statement tree.

  Throws:
    `QueryException` - Indicates validation failure.

### getIntoClause

    public IntoClause getIntoClause()

  Retreive this insert statement's into-clause.

  Returns:
    The into-clause

### getSelectClause

    public SelectClause getSelectClause()

  Retreive this insert statement's select-clause.

  Returns:
    The select-clause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD